OpenStack Troubleshooting

This section provides solutions to several issues that may occur when working with the OpenStack platform with KumoScale software.

 

Problem:

Creating a volume type via OpenStack CLI (volume type create) throws the following warning:

/usr/lib/python2.7/site-packages/requests/__init__.py:91: RequestsDependencyWarning: urllib3 (1.25.9) or chardet (3.0.4) doesn’t match a supported version!
RequestsDependencyWarning)

Solution:
Execute following command:

pip install --upgrade requests

 

Problem:

Failure to delete a volume in error-delete state. 

Solution:

Use the force option to delete the volume (vol_in_err_state_name): 

openstack volume delete --force vol_in_err_state_name
 

Problem:

Failure to delete snapshots in error-deleting state.

 

Solution:

Edit the mysqldb mysql[1]:

use cinder;
update snapshots set deleted=1,status=’deleted’,deleted_at=now(),updated_at=now() where deleted=0 and id=’<snapshot_volume_id>’;

 

[1] MariaDB™ is a popular open source software relational database that provides a SQL interface for accessing data.

Next: KumoScale v.3.20 documentation list